/**
 * EditorView
 * https://codemirror.net/docs/ref/#view.EditorView
 * state: 编辑器状态
 * viewport: {from: number, to: number} 定位到文件的哪个位置
 * dom 包裹整个编辑器视图的 DOM 元素
 */
export interface Option {
    dom: HTMLElement;
    doc?: string;
    lang?: 'javascript' | 'css' | 'html' | 'json' | 'markdown';
    theme?: '' | 'dark';
}
declare class jhCodeMirror {
    editor: any;
    oldDoc: string;
    constructor(option: Option);
    reset(): void;
    getDoc(): any;
    copy(): void;
    updateCode(val: string): void;
    destroy(): void;
}
export default jhCodeMirror;
